# `causalis.scenarios.cuped.refutation.forest_plot`

## Module Contents

### Functions

`cuped_forest_plot` | Forest plot of absolute estimates and CIs for CUPED vs non-CUPED.

### API

causalis.scenarios.cuped.refutation.forest_plot.cuped_forest_plot(estimate_with_cuped: causalis.data_contracts.causal_estimate.CausalEstimate, estimate_without_cuped: Optional[causalis.data_contracts.causal_estimate.CausalEstimate] = None, ax: Optional[matplotlib.pyplot.Axes] = None, figsize: Tuple[float, float] = (8.5, 3.8), dpi: int = 220, font_scale: float = 1.1, label_with_cuped: str = 'With CUPED', label_without_cuped: str = 'Without CUPED', color_with_cuped: str = 'C0', color_without_cuped: str = 'C1', save: Optional[str] = None, save_dpi: Optional[int] = None, transparent: bool = False) → matplotlib.pyplot.Figure

  Forest plot of absolute estimates and CIs for CUPED vs non-CUPED.

  Parameters

  estimate_with_cuped : CausalEstimate Effect estimated with CUPED adjustment. estimate_without_cuped : CausalEstimate, optional Effect estimated without CUPED adjustment. If omitted, the function uses `estimate_with_cuped.diagnostic_data.ate_naive` and `estimate_with_cuped.diagnostic_data.se_naive` to build a normal-approx CI.